Subject: Re: about ospfv3 neighbor Interface ID change

From: Acee Lindem <[email-masked]>
Date: Thu, 12 Jan 2006 10:16:30 -0500

Hi 黄崇滨,

>RFC2740
>
>3.4.3  Originating LSAs
>
>......
>
>The Interface ID of a neighbor changes. This may cause a new 
>
>instance of a router-LSA to be originated for the associated area, 
>
>and the reorigination of one or more intra-area-prefix-LSAs.
>
>   ......
>
> 
>
>draft-ietf-ospf-ospfv3-update-06.txt
>
> 
>
>3.4.3  Originating LSAs
>
> 
>
>   ......
>
>   o  The Interface ID of a neighbor changes.  This may cause a new
>
>      instance of a router-LSA to be originated for the associated area.
>
>   ......
>
>      
>
> 
>
>my suggestion:
>
> 3.4.3  Originating LSAs
>
>......
>
>The Interface ID of a neighbor changes. This may cause a new 
>
>instance of a router-LSA to be originated for the associated area, 
>
>and the intra-area-prefix-LSA to be originated for the link with the
>neighbor. 
>  
>
The change of a neighbor ID in and of itself doesn't effect the contents
of the intra-area-prefix-LSA.
A neighbor ID change may cause the adjacency to flap which may, in turn,
result in other LSA changes
but that is a secondary effect. Also, in text that I changed I've
avoided stringing together multiple
independent clauses with commas. I believe the modified text reads better.

>   ......
>
> 
>
>    3.4.3.7  Intra-Area-Prefix-LSAs
>
> 
>
>   ......
>
>   Each link-LSA associated with Link L is examined (these are in the
>
>   Designated Router's interface structure for Link L).  If the link-
>
>   LSA's Advertising Router is fully adjacent to the Designated
>
>   Router and the link-LSA’s Link State ID is the same with the neighbor's
>interface ID, 
>  
>
I guess I could add the check for interface ID. Only link-LSAs scoped to the
link are considered. It is the neighbor's responsibility to flush any
stale self-originated lnk-LSAs
and originate one with the correct Link State ID (i.e., his interface ID).

Thanks,
Acee

>the list of prefixes in the link-LSA is copied into the
>
>   intra-area-prefix-LSA that is being built.
>
>   ……
>
> 
>
>黄崇滨 福建星网锐捷网络科技有限公司网络产品研究7部
>TEL: 0591-83057317
>ADDR: 福州市金山大道618号橘园洲20-22#星网锐捷科技园22#三层 
>URL：http://www.ruijie.com.cn/
>
> 
>
>
>  
>